> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetCallLists POST https://api.voximplant.com/platform_api/GetCallLists Get all call lists for the specified user. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Call list manager`, `Support`. **Example request:** Get all lists registered by user. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/call-lists/get-call-lists ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `list_id` (list of integer, optional) — The list ID to filter. Can be a list separated by semicolons (;). Use the 'all' value to select all lists - `name` (string, optional) — Find call lists by name - `is_active` (boolean, optional) — Whether to find only active call lists - `from_date` (string, optional) — The UTC 'from' date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `to_date` (string, optional) — The UTC 'to' date filter in 24-h format: YYYY-MM-DD HH:mm:ss - `type_list` (string, optional) — The type of the call list. The possible values are AUTOMATIC and MANUAL - `count` (integer, optional) — The max returning record count - `offset` (integer, optional) — The first **N** records are skipped in the output - `application_id` (list of integer, optional) — The application ID to filter. Can be a list separated by semicolons (;). Use the 'all' value to select all applications ## Response ### 200 Successful response - `result` (list of CallListType, optional) — Array of lists - `count` (integer, optional) — Returned call list count - `total_count` (integer, optional) — Total found call list count ## Types ### CallListType Information about call list's configurations. - `list_id` (integer, optional) — The list ID - `list_name` (string, optional) — The list name - `priority` (integer, optional) — The priority of the call list - `rule_id` (integer, optional) — The rule id - `max_simultaneous` (integer, optional) — The maximum number of simultaneous tasks - `num_attempts` (integer, optional) — The number of task attempts run, which failed to call - `dt_submit` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The date of submitted the list in 24-h format: YYYY-MM-DD HH:mm:ss - `dt_complete` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. The completion date in 24-h format: YYYY-MM-DD HH:mm:ss - `interval_seconds` (integer, optional) — The interval between attempts in seconds - `status` (string, optional) — The status name. The possible values are __In progress__, __Completed__, __Canceled__ - `task_priority_strategy` (string, optional) — Whether the first or repeated calls have priority. - `user_id` (integer, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "list_id": 42, "list_name": "Customer Support Follow-up", "priority": 3, "rule_id": 7, "max_simultaneous": 50, "num_attempts": 2, "dt_submit": "2024-05-10 09:15:00", "dt_complete": "2024-05-10 17:45:00", "interval_seconds": 120, "task_priority_strategy": "first_attempts", "user_id": 1234 } ], "count": 1, "total_count": 1 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetCallLists" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetCallLists'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetCallLists" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetCallLists") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetCallLists") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetCallLists', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetCallLists"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCallLists")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```